<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns="http://www.w3.org/TR/REC-html40"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
		<head>
		</head>
			<xsl:apply-templates/>
		</html>
	</xsl:template>
<!--
	<xsl:template match="SPCDATA">
		<body>
			
			<table border="1" align="left">
				<tr><th align="left" bgcolor="lightgrey" colspan="2">Summary information</th></tr>
				<tr>
				<td>Number of Characteristics</td>
				<td><xsl:apply-templates select="COUNT"/></td>
				</tr>
			</table>
			<br/><br/><br/><br/>
			<xsl:apply-templates select="SPCDATA"/>
		</body>
	</xsl:template>
-->
	<xsl:template match="SPCDATA">
		<blockquote>
		<table border="1">
			<tr><th align="left" bgcolor="lightgrey" colspan="2">Characteristic Summary</th></tr>
			<tr>
				<th valign="top">Name</th>
				<td><xsl:apply-templates select="Name"/></td>
			</tr>
			<tr>
				<th valign="top">Summary</th>
				<td>
					<table border="0">
					<tr>
						<th bgcolor="lightblue"></th>
						<th bgcolor="lightblue"> xbar</th>
						<th bgcolor="lightblue"> range</th>
						<th bgcolor="lightblue"> Cp </th>
						<th bgcolor="lightblue"> CPU/L </th>
						<th bgcolor="lightblue"> Cpk </th>
					</tr>
					<tr>
						<th bgcolor="lightblue"> Upper</th>
						<td><xsl:value-of select="xbarUCL"/>	</td>
						<td><xsl:value-of select="rangeUCL"/>	</td>
						<td><xsl:value-of select="Cp"/>	</td>
						<td><xsl:value-of select="CPU"/>	</td>
						<td><xsl:value-of select="Cpk"/>	</td>
					</tr>
					<tr>
						<th bgcolor="lightblue"> Lower </th>
						<td><xsl:value-of select="xbarLCL"/>	</td>
						<td><xsl:value-of select="rangeLCL"/>	</td>
						<td>--</td>
						<td><xsl:value-of select="CPL"/>	</td>
						<td>-- </td>
					</tr>
					</table>
				</td>
			</tr>
			<!--
			<tr>
				<th valign="top">Data</th>
				<xsl:apply-templates select="SAMPLESET"/>
			</tr>
			-->
		</table>
		</blockquote>
	</xsl:template>	
	<!--
	<xsl:template match="SAMPLESETS">
		<table border="0" align="left">
		<tr>
			<xsl:apply-templates select="SAMPLESET"/> 
			Attributes
		</tr>
		</table>
	</xsl:template>	
	-->
	<!--
	<xsl:template match="SAMPLESET">
		<td>
			<table><tr>
			<th valign="top" bgcolor="lightblue"> Set <xsl:value-of select="position()"/> </th>
			<td>
				<table>
					<tr>
						<th bgcolor="beige"> Date/Time </th>
						<td>
							<xsl:value-of select="DATE/MONTH"/>/<xsl:value-of select="DATE/DAY"/>/<xsl:value-of select="DATE/YEAR"/>  
							<xsl:value-of select="string(' ')"/>
							<xsl:value-of select="TIME/HOUR"/>:<xsl:value-of select="TIME/MINUTE"/>:<xsl:value-of select="TIME/SECOND"/>
						</td>
					</tr>
					<tr>
						<th bgcolor="beige"> XBar </th>
						<td>
							<xsl:value-of select="XBAR"/>
						</td>
					</tr>
					<tr>
						<th bgcolor="beige"> Sigma </th>
						<td>
							<xsl:value-of select="SIGMA"/>
						</td>
					</tr>
					<tr>
						<th bgcolor="beige"> Range </th>
						<td>
							<xsl:value-of select="RANGE"/>
						</td>
					</tr>
					
					<tr>
						<th bgcolor="beige"> Points </th>
						<td>
							<xsl:apply-templates select="POINTDATA"/>
						</td>
					</tr>
					<tr>
						<th bgcolor="beige"> User Comment </th>
						<td>
							<xsl:value-of select="USERCOMMENT"/>
						</td>
					</tr>
				</table>
			</td>
			</tr></table>
		</td>
	</xsl:template>	
	
	<xsl:template match="POINTDATA">
		<table>
			<tr>
				<th bgcolor="lightgreen"> Time </th>
				<xsl:for-each select="POINT">
					<td><xsl:value-of select="TIME"/></td>
				</xsl:for-each>
			</tr>
			<tr>
				<th bgcolor="lightgreen"> Value </th>
				<xsl:for-each select="POINT">
					<td><xsl:value-of select="VALUE"/></td>
				</xsl:for-each>	
			</tr>
			
		</table>
	</xsl:template>	
-->
	
</xsl:stylesheet>