<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns="http://www.w3.org/TR/REC-html40"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
		<head>
		</head>
			<xsl:apply-templates/>
		</html>
	</xsl:template>

	<xsl:template match="DATA">
		<body>
			<center> <b> <h1> Report </h1> </b> </center>
			<table cellspacing = "25">

			

				<xsl:apply-templates select = "PARAMETER"/>
<!-- to remove the last result comment from here -->				
<!--
				<table border="0" cellspacing = "0" cellpadding = "5">
				<tr>
					<th bgcolor="yellow" colspan = "8"><center> Last Result</center> </th>
				</tr>
				<tr>
					<th bgcolor="lightblue"> NAME</th>
					<th bgcolor="lightblue"> VALUE</th>
					<th bgcolor="lightblue"> STATUS</th>
				</tr>
					<xsl:apply-templates select = "RESULTPARAMETER"/>
			
				</table>
			
				<xsl:apply-templates select = "SLIDE"/>
-->
<!-- end of result -->		



<!-- this is a comment -->
<!-- to remove the last sub group comment from here -->	

				<table border="0" cellspacing = "0" cellpadding = "5">
					<tr>
						<th bgcolor="yellow" colspan = "8"><center> Sample Data </center> </th>
					</tr>
					<tr>
						<th bgcolor="lightblue"> NAME </th>
						<th bgcolor="lightblue"> XBAR </th>
						<th bgcolor="lightblue"> RANGE </th>
						<th bgcolor="lightblue"> SIGMA </th>
						<th bgcolor="lightblue"> MEDIUM </th>
						<th bgcolor="lightblue" colspan="5"> DATA </th>
					</tr>
						<xsl:apply-templates select = "SPCSampleSet"/>

				</table>

<!-- end of sub group data -->				
		

			</table>
		</body>
	</xsl:template>

	<xsl:template match="PARAMETER">
			<tr>
				<td>
					<b>
					<xsl:value-of select="Name"/>
					</b>
				</td>
				<td>
					<b>
					<xsl:value-of select="Value"/>
					</b>
				</td>
			
			</tr>
		
	</xsl:template>	

	<xsl:template match="ResultCharacteristic">
		<tr> 
			<td>
				<b>
				<xsl:value-of select="Name"/>
				</b>
			</td>
			<td>
				<xsl:value-of select="Value"/>
			</td>
			<td>
				<xsl:value-of select="Passed"/>
			</td>
		 </tr>
	</xsl:template>	

	<xsl:template match="SLIDE">
		<tr>
<!-- comment out plots
			<td colspan="2" valign="top">
				<img src="{BACKGROUND}" alt="{BACKGROUND}"/>
			</td>
-->
		 </tr>
	</xsl:template>	
	<xsl:template match="SPCSampleSet">
			<tr>
				<td><xsl:value-of select="Name"/>	</td>
				<td><xsl:value-of select="XBar"/>	</td>
				<td><xsl:value-of select="Range"/>	</td>
				<td><xsl:value-of select="Sigma"/>	</td>
				<td><xsl:value-of select="Medium"/>	</td>
				<td>
					<xsl:apply-templates select="PointData"/>
				</td>
			</tr>
	</xsl:template>	
	<xsl:template match="PointData">
			<xsl:for-each select="Point">
				<td ><xsl:value-of select="Value"/></td>
			</xsl:for-each>	
		
	</xsl:template>	
	
</xsl:stylesheet>